
Foreman - Bug #3033

values smart variables not shown correctly under host parameters

09/05/2013 06:40 PM - Ronny M

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Foreman 1.2.2

Under host parameters for a host the wrong smart variable value (default value) is shown.

A match on osversion=5 for lv_test is correct in /etc/mcollective/facts.yaml on the host but wrong for lv_test as default value

'notfound' under host parameters.

On host:

egrep "osversion|lv_test" /etc/mcollective/facts.yaml

osversion: "5"

lv_test: ext3

But in host parameters:

lv_test: notfound (attachment host_params.png)

Also the puppet class the smart variable belong too is not shown under menu "smart variables" (attachment: smart_variables.png)

Attachment: Edit Smart Variable.png, shows the smart variable configuration and the class it is assigned to.

History

#1 - 09/05/2013 08:20 PM - Greg Sutcliffe

Does the test host have the osversion fact in Foreman? The smart var will be calculated using the facts uploaded to foreman, so it's worth checking

Foreman has the right data....

#2 - 09/05/2013 08:21 PM - Greg Sutcliffe

Also a pic of the YAML display for this node's ENC data would be useful. Click the YAML button on the host's page.

#3 - 09/06/2013 05:21 AM - Ronny M

Yes the fact is available in the host. Would be strange if it where not because it also in the /etc/mcollective/facts.yaml on the host with the right value

based on os version.

This is the fact in the YAML of the host also the right value:

---

classes:

linux_common:

parameters:

puppetmaster: puppet.ont.cjib.minjus.nl

....

....

lv_test: ext3

environment: production

#4 - 09/06/2013 09:05 AM - Greg Sutcliffe

So this is just a display problem?
#5 - 09/06/2013 03:21 PM - Ronny M

yes

#6 - 10/19/2013 08:29 AM - Ronny M

Although this is cosmetic it's a show stopper for using smartvars in my case because looking at it under a host params, it will show a wrong value

which in turn will cause confusion about the real value.

#7 - 05/18/2017 07:23 PM - Anonymous

- Status changed from New to Resolved

a lot of things changed since then...
